"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ClassBinding_1 = require("./ClassBinding");
var ValueBinding_1 = require("./ValueBinding");
var FactoryBinding_1 = require("./FactoryBinding");
var bindings = {
    useClass: ClassBinding_1.bindClass,
    useValue: ValueBinding_1.bindValue,
    useFactory: FactoryBinding_1.bindFactory,
};
exports.executeBindings = function (container, providers) {
    if (providers === void 0) { providers = []; }
    providers.forEach(function (provider) {
        if (typeof provider === 'function') {
            bindings.useClass(container, { useClass: provider, provide: provider });
        }
        else {
            Object.keys(bindings)
                .forEach(function (key) {
                if (provider[key]) {
                    bindings[key](container, provider);
                }
            });
        }
    });
};
//# sourceMappingURL=Binding.js.map